apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: addon-rancher
  namespace: flux-system
spec:
  interval: 10m
  prune: true
  sourceRef:
    kind: GitRepository
    name: platform
  path: ./infrastructure/addons/rancher
  timeout: 30m
  suspend: false
  dependsOn:
    - name: addon-tailscale-operator
    - name: addon-tailscale-proxyclass
    - name: addon-rancher-secrets
    - name: addon-cert-manager
  wait: false
  healthChecks:
    - apiVersion: helm.toolkit.fluxcd.io/v2
      kind: HelmRelease
      name: rancher
      namespace: flux-system
    - apiVersion: apps/v1
      kind: Deployment
      name: cattle-system-rancher
      namespace: cattle-system
    - apiVersion: apps/v1
      kind: Deployment
      name: rancher-webhook
      namespace: cattle-system
    - apiVersion: cert-manager.io/v1
      kind: Issuer
      name: cattle-system-rancher
      namespace: cattle-system
    - apiVersion: cert-manager.io/v1
      kind: Certificate
      name: tls-rancher-ingress
      namespace: cattle-system
